aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--jjb/ci-apps-verify/ci-apps-jjb.yaml2
-rw-r--r--jjb/common/include-agl-kci-publish-build-meta.sh41
2 files changed, 24 insertions, 19 deletions
diff --git a/jjb/ci-apps-verify/ci-apps-jjb.yaml b/jjb/ci-apps-verify/ci-apps-jjb.yaml
index bb14e19f..7de9694d 100644
--- a/jjb/ci-apps-verify/ci-apps-jjb.yaml
+++ b/jjb/ci-apps-verify/ci-apps-jjb.yaml
@@ -2,7 +2,7 @@
- project:
name: ci-apps-AGL
aglbranch:
- - master
+ #- master
- icefish
- jellyfish
- koi
diff --git a/jjb/common/include-agl-kci-publish-build-meta.sh b/jjb/common/include-agl-kci-publish-build-meta.sh
index 26db2385..1c586a45 100644
--- a/jjb/common/include-agl-kci-publish-build-meta.sh
+++ b/jjb/common/include-agl-kci-publish-build-meta.sh
@@ -68,38 +68,43 @@ kci-publish() {
;;
esac
+set -x
+set +e
+ DIST_BUILD_HASH="$BUILD_VERSION"
+
echo "DEBUG: generate bmeta for kernelCI"
echo "DEBUG: machine ${TARGETMACHINE}"
echo "DEBUG: build_version $BUILD_VERSION"
echo "DEBUG: commit $DIST_BUILD_HASH"
echo "DEBUG: arch $TARGETARCH"
echo "DEBUG: branch $GERRIT_BRANCH"
+ DIST_BUILD_HASH="$BUILD_VERSION"
- [[ -z $DIST_BUILD_HASH ]] && DIST_BUILD_HASH="$BUILD_VERSION"
-
- $RELENG/utils/agl-publish.py --machine ${TARGETMACHINE} \
- --build_version $BUILD_VERSION \
- --commit $DIST_BUILD_HASH \
- --arch $TARGETARCH \
- --fsr $FSR \
- --branch $GERRIT_BRANCH \
- --kernel_version $KERNEL_VERSION \
- --api http://kernelci.dev.baylibre.com:8081/
+ $RELENG/utils/agl-publish.py --machine "${TARGETMACHINE}" \
+ --build_version "$BUILD_VERSION" \
+ --commit "$BUILD_VERSION" \
+ --arch "$TARGETARCH" \
+ --fsr "$FSR" \
+ --branch "$GERRIT_BRANCH" \
+ --kernel_version "$BUILD_VERSION" \
+ --api http://kernelci.dev.baylibre.com:8081/ || true
- $RELENG/utils/agl-publish.py --machine ${TARGETMACHINE} \
- --build_version $BUILD_VERSION \
- --commit $DIST_BUILD_HASH \
- --arch $TARGETARCH \
- --fsr $FSR \
- --branch $GERRIT_BRANCH \
- --kernel_version $KERNEL_VERSION \
- --api https://kernelci.automotivelinux.org:8081/
+ $RELENG/utils/agl-publish.py --machine "${TARGETMACHINE}" \
+ --build_version "$BUILD_VERSION" \
+ --commit "$BUILD_VERSION" \
+ --arch "$TARGETARCH" \
+ --fsr "$FSR" \
+ --branch "$GERRIT_BRANCH" \
+ --kernel_version "$BUILD_VERSION" \
+ --api https://kernelci.automotivelinux.org:8081/ || true
# DEBUG purpose, verify what is uploaded
if [ -e agl-build-meta ];then
find agl-build-meta -type f | xargs cat
else
echo "ERROR: no agl-build-meta directory"
fi
+set +x
+set -e
return 0
}